Create an alerts index

Base URL
https://{kibana_url}
  • POST /api/detection_engine/index
  • POST /s/{space_id}/api/detection_engine/index
Auth

Creates an index for Elastic Security alerts. Calling this API is not required for the detection engine to function properly. You can create rules and alerts without calling this API.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
acknowledged boolean required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough permissions response

application/json
message string required
status_code integer required

Not found

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}